#ifndef ECANNETWORK_H_
#define ECANNETWORK_H_

#include "gType.h" 
#include "GraphLow.h"
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "TEdit.h"
#include "CtlPanel1.h"

class TECanNetwork{
	public:
		TCtlPanel1 *aPanel;
		
		unsigned int Color;
	
		TRect Bound;
		TRect BoundCaption;
		TRect Content;
	
		TRect BoxBoundCfg;
	
		unsigned char TextHasClear;
		unsigned char CtlIndex;
		unsigned char EditIndex;
		unsigned char ValOk;
		unsigned char vtValue[4];
		
	public:
		TECanNetwork(){};
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
		void DrawSelf();
		void DrawGetDescpButton();
		void Show();
		void FullRedraw(int Prm);
		void DrawAllItems();
		void CheckClearText();
			
		void LoadSysCfg(void);
		void WriteSysCfg();
			
		TGuiMsgReturn KeyIn(unsigned char aKey);
			
		void InitPanel(void);
		void Check4Selected();
		void CheckSetting();
			
		static void sRecoverSetDefault();
			
		int ExtRequst(unsigned char Prm){return 0;}

};



#endif

